#ifndef _GRAD_COL_MAP_H_
#define _GRAD_COL_MAP_H_
/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@gmail.com

Create a gradiant colour map - used for the spectrogram colour lookup

History
	Date       Version    Programmer         Comments
	16/2/03    1.0        Darrell Tam		Created


This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

***************************************************************************************************/

#include <valarray>

//------------------------------------------------------------------------------------------
struct GradColMap : std::valarray<unsigned long>
//
// gradient colour map
// colours are stored as unsigned longs in windows specific colour order
//
{
	// generate the gradient map using a set of "anchor" points for the colours
	void generate(
		int num_cols,		// number of colour entries
		float col_vec[][4],	// anchor points are an array of: position 0..1, r, g, b
		unsigned col_vec_n	// number of elements in the col_vec
	);
};

#endif
