/******************************************************************************



******************************************************************************/

#ifndef _PROCESS_LOOPS_H_
#define _PROCESS_LOOPS_H_
#include <dt/cplx.h>

//------------------------------------------------------------------------------------------
inline void rampCopy(pcplxf dst, pcplxf src, float/*starting*/scale, float step, long n)
// ramp src into dst
{
	long i;
	for(i = 0; i < n; i++)
	{
		*dst = (*src)*scale;
		src++;
		dst++;
		scale += step;
	}
}

//------------------------------------------------------------------------------------------
inline float/*pwr chg*/rampMix1(pcplxf dst, pcplxf src, float src_scale,
										float dst_ramp, float dst_ramp_step, long n)
// scale src, ramp dst, mix with src and put back into dst
{
	float pwr = 0.0f;
	long i;
	for(i = 0; i < n; i++)
	{
		pwr -= norm(*dst); // remove old pwr
		*dst = (*src)*src_scale+(*dst)*dst_ramp;
		pwr += norm(*dst); // get new pwr
		src++;
		dst++;
		dst_ramp += dst_ramp_step;
	}
	return pwr;
}

#endif
