#ifndef _RFFTW_FLOAT_
#define _RFFTW_FLOAT_
/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@hotmail.com OR barrell@grapevine.net

Interface to FFTW

History
	Date       Version    Programmer         Comments
	16/2/03    1.0        Darrell Tam		Created


This is completely free software

***************************************************************************************************/

#ifndef FFTW_ENABLE_FLOAT
#define FFTW_ENABLE_FLOAT
#endif

#include <fftw/rfftw.h>

// convert plan number to blk size
#define GET_FFT_BLK_SZ(PLAN_N) (FFT_BLK_SZ_0<<(PLAN_N))

// constants
enum {
	// log2(shortest blk size)
	FFT_LOG2_BLK_SZ_0 = 8,

	// shortest blk size in samples
	FFT_BLK_SZ_0 = 1<<FFT_LOG2_BLK_SZ_0,

	// number of blk sizes
	N_FFT_BLK_SZ = 9,

	// max blk size
	MAX_FFT_BLK_SZ = GET_FFT_BLK_SZ(N_FFT_BLK_SZ-1)
};

extern rfftw_plan g_plan_fft[N_FFT_BLK_SZ], g_plan_ifft[N_FFT_BLK_SZ];

#endif
